Class | Fog::Identity::OpenStack::User
In: | lib/fog/openstack/models/identity/user.rb
Parent: | Fog::Model

### Methods

destroy new roles save update update_enabled update_password update_tenant

### Attributes

email | [RW] |
enabled | [RW] |
name | [RW] |
password | [RW] |
tenant_id | [RW] |

### Public Class methods

new(attributes)

### Public Instance methods

destroy()
roles(tenant_id = self.tenant_id)
save()
update(options = {})
update_enabled(enabled)
update_password(password)
update_tenant(tenant)

[Validate]